Subject: Re: bug#38109: Updated Emacs to HEAD, consistently not scaling now

From: Adam Sjøgren <[email-masked]>
Date: Thu, 07 Nov 2019 23:12:31 +0100

Lars writes:

> I made two PNGs from wry.xpm. 
>
> file /tmp/wry*.png 
> /tmp/wry2.png: PNG image data, 13 x 14, 8-bit/color RGBA, non-interlaced
> /tmp/wry.png:  PNG image data, 13 x 14, 2-bit colormap, non-interlaced
>
> With the colormap png, I see the same as you -- no scaling, but a large
> canvas.  With the non-colormap one, I get the proper scaling, too.

Interesting; the files I tested with:

  $ file wry.*
  wry.gif: GIF image data, version 89a, 16 x 16
  wry.png: PNG image data, 16 x 16, 4-bit colormap, non-interlaced

So that's consistent with what you see. Perhaps testing was done with
RGB(A) images, and not with colormaps/palettes.

-- 
 "Please don't "meh" the panopticon. You are                   Adam Sjøgren
  not making things better by doing that."                [email-masked]